function fidx = lbl2idx (stru, label)

%LBL2IDX  takes a string and returns the
%   corresponding index in the @pix substructure
%
% Last modified: 3 Jun 03

switch label
   case 'all'
      fidx = 1:length(stru);
   case 'first'
      fidx = 1;
   case 'last'
      fidx = length(stru);
   case 'none'
      fidx = [];
   otherwise
      for fidx = 1:length(stru)
         if strcmp (stru(fidx).label, label)
            return;
         end;
      end
      fidx = [];
end
