function retmat = permutarray (array)
% permutarray.
% given a 1-D array it returns all possible arrangements
% for the elements in the array
%
% Last modified: 8 Jan 99

[r,c]=size(array);
if r>1
   if c>1
      error ('use a single-row array');
   else
      array = array';
   end
end
retmat = super ([], array);
return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function ar = super (base, dafare)

ar = [];
l  = length (dafare);

if l==1
   ar = [base, dafare];
   return
end

for i=1:l
   nb = [base, dafare(i)];
   nd = dafare;
   nd (i) = [];
   nr = super(nb, nd);
   ar = [ar; nr];
end
return